
Redmine - Defect #23557

Special (micro) character in message field causes internal server error

2016-08-10 11:19 - Hexus DTech

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.0

Description

Saving a message to a forum or an issue with micro symbol causes an error.

Rendered boards/show.html.erb within layouts/base (15.6ms)

Completed 200 OK in 94ms (Views: 46.8ms | ActiveRecord: 46.8ms)

Started POST "/redmine/boards/3/topics/new" for 127.0.0.1 at 2016-08-10 12:09:12 +0300

Processing by MessagesController#new as HTML

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"Sl4Hej3CWWzGsWT4Wr/JZpBXdfGbvYA5vfE+BsGDsqfFgqU

OX/FrB2t3gGAmiAlsv4OUViUotQyP8X4mnQwD2Q==", "message"=>{"subject"=>"bug test redmine", "sticky"=>"

0", "locked"=>"0", "content"=>"μm is for micrometer\r\n\r\n"}, "commit"=>"Create", "board_id"=>"3"

}

  Current user: heikki (id=1)

Completed 500 Internal Server Error in 140ms (ActiveRecord: 140.4ms)

ActiveRecord::StatementInvalid (Mysql2::Error: Incorrect string value: '\xCE\xBCm is...' for colum

n 'content' at row 1: INSERT INTO `messages` (`author_id`, `board_id`, `subject`, `content`, `crea

ted_on`, `updated_on`) VALUES (1, 3, 'bug test redmine', 'μm is for micrometer\r\n\r\n', '2016-08-

10 12:09:12', '2016-08-10 12:09:12')):

  app/controllers/messages_controller.rb:63:in `new'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

 500 Internal Server Error in 47ms (ActiveRecord: 15.6ms)

...

ActiveRecord::StatementInvalid (Mysql2::Error: Incorrect string value: '\xCE\xBCm' for column 'des

cription' at row 1: INSERT INTO `issues` (`project_id`, `author_id`, `tracker_id`, `status_id`, `s

ubject`, `description`, `priority_id`, `updated_on`, `created_on`, `lock_version`) VALUES (84, 1, 

15, 1, 'issue microtest', 'μm', 4, '2016-08-10 12:11:59', '2016-08-10 12:11:59', 0)):

  app/models/issue.rb:210:in `create_or_update'

  app/controllers/issues_controller.rb:140:in `create'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

 Environment:

Redmine version                3.3.0.stable

Ruby version                   2.1.8-p440 (2015-12-16) [i386-mingw32]

Rails version                  4.2.6

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.16

Git                            2.7.4

Filesystem

Redmine plugins:

no plugin installed

Related issues:

Related to Redmine - Feature #31921: Changes to properly support 4 byte chara... Closed

History

#1 - 2016-08-29 13:42 - Toshi MARUYAMA

- Category changed from Issues to Database
- Status changed from New to Closed

- Resolution set to Invalid

This is FAQ.

See #22618#note-1.

#2 - 2019-08-17 18:30 - Marius BĂLTEANU

- Related to Feature #31921: Changes to properly support 4 byte characters (emoji) when database is MySQL added
